## com.crystaldecisions.sdk.occa.report.data
Class ConnectionInfo

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.ConnectionInfo

All Implemented Interfaces:
  IClone, IConnectionInfo

public class ConnectionInfo
extends java.lang.Object
implements IConnectionInfo, IClone

This object enables you to get and set information for the data source connection. Use the `IConnectionInfo` interface to manipulate this object.

Constructor Summary
`ConnectionInfo()`
`ConnectionInfo(IConnectionInfo src)`

Method Summary
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `copyTo(java.lang.Object destObject, boolean deepCopy)` Copies the object.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`PropertyBag` | `getAttributes()` Returns the property bag for the data source connection.
`ConnectionInfoKind` | `getKind()` Returns the kind of connection.
`java.lang.String` | `getPassword()` Returns the password used to connect to the data source.
`java.lang.String` | `getUserName()` Returns the user name used to connect to the data source.
`boolean` | `hasContent(java.lang.Object obj)` Returns `true` if this object contains the same elements as the passed in object.
`boolean` | `isMatch(IConnectionInfo info, boolean completeMatching)` Checks whether two connections match.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, java.lang.String sTag, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(com.crystaldecisions.xml.serialization.XMLWriter writer, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `setAttributes(PropertyBag attributes)` Sets the property bag for the data source connection.
`void` | `setKind(ConnectionInfoKind kind)` Returns the kind of connection.
`void` | `setPassword(java.lang.String password)` Returns the password used to connect to the data source.
`void` | `setUserName(java.lang.String userName)` Sets the user name used to connect to the data source.
`boolean` | `skipWritingIdenticalObject()` For internal use only.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionInfo

    public ConnectionInfo(IConnectionInfo src)

### ConnectionInfo

    public ConnectionInfo()

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Parameters:
    `deepClone` - `true` to use deep clone, `false` to use shallow.
  Returns:
    The new object that has been cloned.

### copyTo

    public void copyTo(java.lang.Object destObject,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Parameters:
    `destObject` - The destination object to copy to.
    `deepCopy` - `true` to use deep copy, `false` to use shallow.

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  For internal use only.

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  For internal use only.

### getAttributes

    public PropertyBag getAttributes()

  Description copied from interface: `IConnectionInfo`

  Returns the property bag for the data source connection.

  Specified by:
    `getAttributes` in interface `IConnectionInfo`
  Returns:
    The property bags as a `PropertyBag` object.

### getKind

    public ConnectionInfoKind getKind()

  Description copied from interface: `IConnectionInfo`

  Returns the kind of connection. For example, connection kinds include SQL, query, meta data, database file, and Crystal Report Query Engine (CRQE).

  Specified by:
    `getKind` in interface `IConnectionInfo`
  Returns:
    The connection kind as a `ConnectionInfoKind` object.

### getPassword

    public java.lang.String getPassword()

  Description copied from interface: `IConnectionInfo`

  Returns the password used to connect to the data source.

  Specified by:
    `getPassword` in interface `IConnectionInfo`
  Returns:
    The password as a `String`.

### getUserName

    public java.lang.String getUserName()

  Description copied from interface: `IConnectionInfo`

  Returns the user name used to connect to the data source.

  Specified by:
    `getUserName` in interface `IConnectionInfo`
  Returns:
    The user name as a `String`.

### hasContent

    public boolean hasContent(java.lang.Object obj)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Parameters:
    `obj` - The object to check for content.
  Returns:
    `true` if this object contains the same elements as the passed in object, otherwise `false`.

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  For internal use only.

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     java.lang.String sTag,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(com.crystaldecisions.xml.serialization.XMLWriter writer,
                             com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
                      throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### setAttributes

    public void setAttributes(PropertyBag attributes)

  Description copied from interface: `IConnectionInfo`

  Sets the property bag for the data source connection.

  Specified by:
    `setAttributes` in interface `IConnectionInfo`
  Parameters:
    `attributes` - The property bag as a `PropertyBag` object.

### setKind

    public void setKind(ConnectionInfoKind kind)

  Description copied from interface: `IConnectionInfo`

  Returns the kind of connection. For example, connection kinds include SQL, query, meta data, database file, and Crystal Report Query Engine (CRQE).

  Specified by:
    `setKind` in interface `IConnectionInfo`
  Parameters:
    `kind` - The connection kind as a `ConnectionInfoKind` object.

### setPassword

    public void setPassword(java.lang.String password)

  Description copied from interface: `IConnectionInfo`

  Returns the password used to connect to the data source.

  Specified by:
    `setPassword` in interface `IConnectionInfo`
  Parameters:
    `password` - The password as a `String`.

### setUserName

    public void setUserName(java.lang.String userName)

  Description copied from interface: `IConnectionInfo`

  Sets the user name used to connect to the data source.

  Specified by:
    `setUserName` in interface `IConnectionInfo`
  Parameters:
    `userName` - The user name as a `String`.

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  For internal use only.

### skipWritingIdenticalObject

    public boolean skipWritingIdenticalObject()

  For internal use only.

### isMatch

    public boolean isMatch(IConnectionInfo info,
                           boolean completeMatching)

  Description copied from interface: `IConnectionInfo`

  Checks whether two connections match. Returns `true` if they match, and `false` otherwise.

  Specified by:
    `isMatch` in interface `IConnectionInfo`
  Parameters:
    `info` - The `IConnectionInfo` object that this connection will be compared against.
    `completeMatching` - A `boolean` specifying whether to use complete matching. By default, this is set to `true`. If `true`, all members of the object are compared. When all members of the object have been compared, a value of `true` is returned if all members are exactly the same. If set to `false`, all members of the object are compared and a value of `true` is returned if the mismatch is caused because one of the comparing members has an empty string, but all of the remaining members match.
  Returns:
    `true` if they match, and `false` otherwise.